> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> List users for the authenticated profile.



## OpenAPI

````yaml https://production.hifi.com/api/v3/openapi.json get /v3/users
openapi: 3.0.0
info:
  title: Hifi API
  version: 3.0.0
  description: API documentation for HIFI
servers:
  - url: https://production.hifi.com
    description: Production server
  - url: https://sandbox.hifi.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Counter Party
    description: Counter party endpoints
  - name: Crypto Transfer
    description: Crypto transfer and batch transfer endpoints
  - name: Wallet
    description: Wallet and wallet offer endpoints
  - name: External Account
    description: External bank account endpoints (under a counter party)
  - name: External Wallet
    description: External wallet endpoints (under a counter party)
  - name: External Card
    description: External card endpoints (under a counter party)
  - name: Token Swap
    description: Token swap endpoints
  - name: Bridge
    description: Bridge endpoints
  - name: Virtual Account
    description: Virtual account endpoints
  - name: Compliance
    description: Compliance and compliance link endpoints
  - name: Webhook Endpoint
    description: Webhook endpoint endpoints
  - name: File
    description: File upload endpoints
  - name: Onramp
    description: Onramp (fiat to crypto) endpoints
  - name: Offramp
    description: Offramp (crypto to fiat) endpoints
  - name: Orchestration Address
    description: Orchestration (liquidation) address endpoints
  - name: KYC Link
    description: Hosted and custom KYC/KYB link endpoints
  - name: Transfer Approval
    description: Transfer approval endpoints
  - name: Corridor
    description: Supported fiat/crypto transfer corridor endpoints
  - name: Migration
    description: v2-to-v3 ID mapping endpoints
paths:
  /v3/users:
    get:
      tags:
        - User
      summary: List users
      description: List users for the authenticated profile.
      operationId: v3ListUsers
      parameters:
        - $ref: '#/components/parameters/UserTypeParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/StartingAfterParameter'
        - $ref: '#/components/parameters/EndingBeforeParameter'
      responses:
        '200':
          $ref: '#/components/responses/UserListResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserTypeParameter:
      name: type
      in: query
      schema:
        type: string
        enum:
          - individual
          - business
      description: Return only users of this type.
      required: false
    LimitParameter:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
      description: default to 10, maximum to 100
      required: false
    StartingAfterParameter:
      name: startingAfter
      in: query
      schema:
        type: string
      description: Return records after this cursor.
      required: false
    EndingBeforeParameter:
      name: endingBefore
      in: query
      schema:
        type: string
      description: Return records before this cursor.
      required: false
  responses:
    UserListResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UserList'
          examples:
            UserListExample:
              $ref: '#/components/examples/UserListExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFound'
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    UserList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UserObject'
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - data
        - pagination
    Unauthorized:
      type: object
      properties:
        type:
          type: string
          description: Unauthorized enum
          example: UNAUTHORIZED
        message:
          type: string
          description: Unauthorized message
          example: Authentication required
    NotFound:
      type: object
      properties:
        type:
          type: string
          example: RESOURCE_NOT_FOUND
          description: The error type, e.g., RESOURCE_NOT_FOUND
        message:
          type: string
          description: A descriptive error message
        fields:
          type: array
          description: List of specific field errors
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code related to the field issue
              message:
                type: string
                description: Error message for the specific issue
              field:
                type: string
                description: The name of the field that has an issue
    InternalServerError:
      type: object
      properties:
        type:
          type: string
          example: INTERNAL_SERVER_ERROR
          description: Internal server error enum
        message:
          type: string
          example: An internal server error occurred
          description: Internal server error message
    UserObject:
      type: object
      properties:
        id:
          type: string
          pattern: ^user_[A-Za-z0-9]+$
          description: User ID.
        type:
          type: string
          enum:
            - INDIVIDUAL
            - BUSINESS
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the user was created.
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the user was last updated.
      required:
        - id
        - type
        - createdAt
        - updatedAt
    Pagination:
      type: object
      properties:
        hasMore:
          type: boolean
        startCursor:
          type: string
          nullable: true
        endCursor:
          type: string
          nullable: true
      required:
        - hasMore
        - startCursor
        - endCursor
  examples:
    UserListExample:
      summary: User List
      value:
        data:
          - id: user_2f7a9bc3d4e5
            type: INDIVIDUAL
            createdAt: '2026-07-09T16:12:20.541Z'
            updatedAt: '2026-07-09T16:12:20.541Z'
          - id: user_9a8b7c6d5e4f
            type: BUSINESS
            createdAt: '2026-07-09T16:03:41.107Z'
            updatedAt: '2026-07-09T16:03:41.107Z'
        pagination:
          hasMore: false
          startCursor: user_2f7a9bc3d4e5
          endCursor: user_9a8b7c6d5e4f
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````